#!/usr/bin/env ansible-playbook
---
- name: Destroy MinIO Tenants
  hosts: "{{ target_hosts }}"
  vars:
    target_hosts: localhost
  pre_tasks:
    - name: Check k8s_kubeconfig
      ansible.builtin.debug:
        var: k8s_kubeconfig
  tasks:
    - name: Destroy MinIO Tenant
      ansible.builtin.include_role:
        name: minio
        tasks_from: destroy_minio_tenants
        defaults_from: main
      vars:
        k8s_minio_tenant_release_name: "{{ item.k8s_minio_tenant_release_name | default(k8s_minio_default_tenant_release_name) }}"
        k8s_minio_tenant_namespace: "{{ item.k8s_minio_tenant_namespace | default(k8s_minio_default_tenant_release_name) }}"
      with_items: "{{ k8s_minio_tenants }}"
  environment:
    KUBECONFIG: "{{ k8s_kubeconfig | default(lookup('ansible.builtin.env', 'KUBECONFIG', default='/etc/kubernetes/admin.conf')) }}"
  tags:
    - minio_tenants

- name: Destroy MinIO Operator
  hosts: "{{ target_hosts }}"
  vars:
    target_hosts: localhost
  pre_tasks:
    - name: Check k8s_kubeconfig
      ansible.builtin.debug:
        var: k8s_kubeconfig
  tasks:
    - name: Destroy MinIO
      ansible.builtin.import_role:
        name: minio
        tasks_from: destroy_minio_operator
  environment:
    KUBECONFIG: "{{ k8s_kubeconfig | default(lookup('ansible.builtin.env', 'KUBECONFIG', default='/etc/kubernetes/admin.conf')) }}"
  tags:
    - minio_operator
